Qt 5.11 | Qt 3D | C++ Classes | QChannelMapper

Qt 5.11.3 Reference Documentation

# QChannelMapper Class

(Qt3DAnimation::QChannelMapper)

Allows to map the channels within the clip onto properties of objects in the application. More...

Header: | #include <QChannelMapper>
qmake: | QT += 3danimation
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Public Functions

| QChannelMapper(Qt3DCore::QNode *parent = nullptr)
virtual | ~QChannelMapper()
void | addMapping(Qt3DAnimation::QAbstractChannelMapping *mapping)
QVector<Qt3DAnimation::QAbstractChannelMapping *> | mappings() const
void | removeMapping(Qt3DAnimation::QAbstractChannelMapping *mapping)

- 13 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QChannelMapper(Qt3DAnimation::QChannelMapperPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 3 properties inherited from Qt3DCore::QNode
- 3 public slots inherited from Qt3DCore::QNode
- 4 signals inherited from Qt3DCore::QNode

## Detailed Description

Allows to map the channels within the clip onto properties of objects in the application.

## Member Function Documentation

### QChannelMapper::QChannelMapper(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QChannelMapper.

### `[protected]` QChannelMapper::QChannelMapper(Qt3DAnimation::QChannelMapperPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QChannelMapper.

### `[virtual]` QChannelMapper::~QChannelMapper()

Destroys the instance of QChannelMapper. The destructor is virtual.

### void QChannelMapper::addMapping(Qt3DAnimation::QAbstractChannelMapping *mapping)

### QVector<Qt3DAnimation::QAbstractChannelMapping *> QChannelMapper::mappings() const

### void QChannelMapper::removeMapping(Qt3DAnimation::QAbstractChannelMapping *mapping)